pulseaudio-esound-compat_10.0-2ubuntu3_i386.deb


Advertisement

Description

pulseaudio-esound-compat - PulseAudio ESD compatibility layer

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pulseaudio-esound-compat
Package version 10.0
Package release 2ubuntu3
Package architecture i386
Package type deb
Installed size 234 B
Download size 39.56 KB
Official Mirror archive.ubuntu.com
PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
WIN32 systems. It is a drop in replacement for the ESD sound server with
much better latency, mixing/re-sampling quality and overall architecture.
This package contains the ESD compatibility components used by some
older versions of complete desktop environments, e.g., GNOME, and
many useful applications. It enables a PulseAudio sound server to
fully replace ESD.

Alternatives

Package Version Architecture Repository
pulseaudio-esound-compat_10.0-2ubuntu3.1_i386.deb 10.0 i386 Ubuntu Updates Universe
pulseaudio-esound-compat_10.0-2ubuntu3.1_amd64.deb 10.0 amd64 Ubuntu Updates Universe
pulseaudio-esound-compat_10.0-2ubuntu3_amd64.deb 10.0 amd64 Ubuntu Universe
pulseaudio-esound-compat - - -

Requires

Name Value
libc6 >= 2.4
libpulse0 = 1:10.0-2ubuntu3
pulseaudio = 1:10.0-2ubuntu3

Provides

Name Value
esound -

Conflicts

Name Value
esound -

Replaces

Name Value
esound -

Download

Type URL
Binary Package pulseaudio-esound-compat_10.0-2ubuntu3_i386.deb
Source Package pulseaudio

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pulseaudio-esound-compat deb package:
    # sudo apt-get install pulseaudio-esound-compat

Files

Path
/usr/bin/esd
/usr/bin/esdcompat
/usr/lib/pulse-10.0/modules/libprotocol-esound.so
/usr/lib/pulse-10.0/modules/module-esound-compat-spawnfd.so
/usr/lib/pulse-10.0/modules/module-esound-compat-spawnpid.so
/usr/lib/pulse-10.0/modules/module-esound-protocol-tcp.so
/usr/lib/pulse-10.0/modules/module-esound-protocol-unix.so
/usr/share/doc/pulseaudio-esound-compat/NEWS.gz
/usr/share/doc/pulseaudio-esound-compat/README
/usr/share/doc/pulseaudio-esound-compat/changelog.Debian.gz
/usr/share/doc/pulseaudio-esound-compat/copyright
/usr/share/man/man1/esd.1.gz
/usr/share/man/man1/esdcompat.1.gz

Changelog

2017-09-18 - Dimitri John Ledkov <xnox@ubuntu.com>
pulseaudio (1:10.0-2ubuntu3) artful; urgency=medium
* Drop build-dependency on libhardware, was left in error by the
previous upload - all usage of libhardware was removed.
2017-08-07 - Daniel van Vugt <daniel.van.vugt@canonical.com>
pulseaudio (1:10.0-2ubuntu2) artful; urgency=medium
* Drop Android support (used for Ubuntu Touch). This removes most of the
delta to upstream and Debian.
2017-07-11 - Daniel van Vugt <daniel.van.vugt@canonical.com>
pulseaudio (1:10.0-2ubuntu1) artful; urgency=medium
* Cherrypick fixes for common crashes from upstream:
- cb78d6f5: SIGABRT in device_start_waiting_for_profiles (LP: #1690028,
LP: #1672171)
- d985276c: SIGABRT in pa_alsa_path_set_volume (LP: #1539209, LP: #1562817)
* Enable modules that needn't be disabled:
- module-role-cork: Now enabled per upstream defaults (LP: #1701688)
- module-switch-on-connect: Enabled for seamless hotplugging (LP: #1702794)
* Don't try to load sounds that don't exist in Kubuntu (LP: #1703334)
* Merge latest debian changes (see below).
2017-06-15 - Scott Leggett <scott@sl.id.au>
pulseaudio (10.0-2) unstable; urgency=medium
[ Balint Reczey ]
* Removing myself from Uploaders
[ Scott Leggett ]
* Move AGPL-3 text into copyright file (Closes: #863082)
2017-03-29 - Michael Terry <mterry@ubuntu.com>
pulseaudio (1:10.0-1ubuntu2) zesty; urgency=medium
* debian/patches/0006-load-module-x11-bell.patch:
- Upload bell.ogg sample via pactl for module-x11-bell.  Original patch
by Daniel Hahler. (LP: #769314)
* debian/control:
- Add ubuntu-sounds to Suggests list, since it ships the sound used by
default in above patch now.
2017-01-24 - Luke Yelavich <themuso@ubuntu.com>
pulseaudio (1:10.0-1ubuntu1) zesty; urgency=medium
* Merge with Debian experimental:
- epoch (my stupid fault :S)
- Add a module to allow pulseaudio to use the Android audio HAL
- Adjust gbp.conf file to point to the ubuntu branch for package builds
- Disable module-role-cork by default
- Load module-x11-bell in the start-pulseaudio-x11 script
- Hide pulseaudio from startup apps dialog
- Quit daemon if pid file is removed
- Avoid abort when poll descriptor is 0, such as when using it with the
audioflinger bridge, like done in ubuntu touch
- change default rlimit_rttime value to 200 ms
- Don't probe UCM profiles, trust that the profile writer knows what they
are doing
- Add card hook to allow modules to do something before a profile becomes
active
- Add an option to the bluez discovery module to set the profile
- Allow leaving bluetooth transport running while sink and source are
suspended.
- Add option to module-switch-on-connect to skip abstract devices
- Add property to module-device-restore to skip store/restore
- Add missing fields for sink_input/source_output info struct to the vala
bindings
- Add a build/run autopkgtest for libpulse-dev
- Drop libsoxr-dev build dep, its in universe
- Add support for the trust-store
- Add snappy support, preventing snap apps from recording audio, full
support via trust-store is planned
- Add epoch to conflicts/replaces
- Use liblirc-dev instead of liblircclient-dev
2017-01-19 - Felipe Sateler <fsateler@debian.org>
pulseaudio (10.0-1) unstable; urgency=medium
* New upstream release
- Memfd is enabled by default. This unbreaks using pa within firejail or
similar. (Closes: #804120)
* Document qpaeq AGPL license
2017-01-04 - Felipe Sateler <fsateler@debian.org>
pulseaudio (9.99.1-1) experimental; urgency=medium
* New upstream release candidate
- Drop all patches, applied upstream
- Install new allow-passthrough module
* shlibs.local: only the major and minor version
elements are used for the internal library SONAMEs

See Also

Package Description
pulseaudio-module-gconf_10.0-2ubuntu3_i386.deb GConf module for PulseAudio sound server
pulseaudio-module-jack_10.0-2ubuntu3_i386.deb jackd modules for PulseAudio sound server
pulseaudio-module-lirc_10.0-2ubuntu3_i386.deb lirc module for PulseAudio sound server
pulseaudio-module-raop_10.0-2ubuntu3_i386.deb RAOP module for PulseAudio sound server
pulseaudio-module-trust-store_10.0-2ubuntu3_i386.deb trust-store module for PulseAudio sound server
pulseaudio-module-zeroconf_10.0-2ubuntu3_i386.deb Zeroconf module for PulseAudio sound server
pulseview_0.2.0-1.2_i386.deb sigrok logic analyzer, oscilloscope, and MSO GUI
puma_3.6.0-1ubuntu1_i386.deb threaded HTTP 1.1 server for Ruby/Rack applications
pump_0.8.24-7_i386.deb BOOTP and DHCP client for automatic IP configuration
pumpa_0.9.3-1_i386.deb simple desktop client for pump.io, the distributed social network
puppet-common_4.10.4-2ubuntu1_all.deb transitional dummy package
puppet-lint_2.0.2-0.1_all.deb check puppet manifests for style guide conformity
puppet-master-passenger_4.10.4-2ubuntu1_all.deb configuration management system, scalable master service
puppet-master_4.10.4-2ubuntu1_all.deb configuration management system, master service
puppet-module-adrienthebo-filemapper_1.1.3-1_all.deb Puppet module for mapping files to resources and back
Advertisement
Advertisement